import { SettingsPanelApi } from '../SettingsPanelApi';
import { ApiBase } from './ApiBase';
import { AdaptableModule } from '../../../types';
export declare class SettingsPanelApiImpl extends ApiBase implements SettingsPanelApi {
    openSettingsPanel(moduleName?: AdaptableModule): void;
    openCustomSettingsPanel(name: string): void;
    closeSettingsPanel(): void;
}
